function onBegin()

    blackkey = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("blackkey")
    blackkey:removeSelf()
    playSound("event:/game/WanderBDay/omori_key", player.Position)
    setFlag("useelevator")

end